Failing LEAP authentication (Was:ioctl[IPW2100_IOCTL_WPA_SUPPLICA NT]: Operation not supported)

Jouni Malinen jkmaline at cc.hut.fi
Wed Jan 26 21:45:44 EST 2005


On Wed, Jan 26, 2005 at 03:54:53PM -0800, Richard.Griffiths at windriver.com wrote:

> Good tip. My problem was I have ipw2100 configured in my current kernel
> and those settings were overriding the external module I'm building. The
> operation not supported messages are gone.  
> But, I'm still not authenticating.  Here's the new debug output:
> 
> Initializing interface 'eth1' conf '/etc/wpa_supplicant.conf' driver
> 'ipw2100'

> Trying to associate with 00:40:96:58:53:b9 (SSID='tsunami' freq=0 MHz)
> Cancelling scan request
> Automatic auth_alg selection: 0x4
> wpa_driver_ipw2100_set_auth_alg: auth_alg=0x4

Does ipw2100 driver support Network EAP authentication algorithm? This
is Cisco proprietary solution and most Linux drivers do not support it.
If the AP is configured to allow both Network EAP and Open System (with
EAP), you might be able to associate after configuring wpa_supplicant to
use open system authentication (auth_alg=OPEN).

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list